Bug 1564493 - docker-storage-setup initialization 'wrong' without VARIANT_ID
Summary: docker-storage-setup initialization 'wrong' without VARIANT_ID
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 12:44 UTC by Marius Vollmer
Modified: 2018-11-30 20:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:51:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Marius Vollmer 2018-04-06 12:44:55 UTC
Description of problem:

When installing the docker rpm on a system without VARIANT_ID in /etc/os-release, one gets /usr/share/docker-storage-setup/docker-storage-setup-default copied into /etc/sysconfig/docker-storage-setup.

This file doesn't contain STORAGE_DRIVER=overlay2, unlike all other candidates.

Not setting STORAGE_DRIVER=overlay2 is problematic since docker-storage-setup defaults to devicemapper, while docker itself defaults to overlay2.  docker-storage-setup is executed on every start of docker (I think), but usually fails becuase there is no space for the necessary logical volume.  Should it happen to succeed, it would suddenly change the storage driver of docker and make all images and containers disappear.

I think all docker-storage-setup candidates should set STORAGE_DRIVER=overlay2.
That makes them all identical, so maybe there isn't any need for the VARIANT_ID complexity.

Version-Release number of selected component (if applicable):
docker-1.13.1-51.git4032bd5.fc27.x86_64

Comment 1 Ben Cotton 2018-11-27 16:18:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 20:51:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.